<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_u" name="index_u"></a>- u -</h3><ul>
<li>Unsubscribe()&#160;:&#160;<a class="el" href="classgg_1_1EventDispatcher.html#aa2ac8a84c686abe1e1d1319e82221ed7">gg::EventDispatcher</a></li>
<li>Update()&#160;:&#160;<a class="el" href="classgg_1_1ControlsMenu.html#a9ab9399a09dd100b3316a8747c6a413c">gg::ControlsMenu</a>, <a class="el" href="classgg_1_1CustomGameState.html#a38f252ae0a5aecdf3cb6850a775492ef">gg::CustomGameState</a>, <a class="el" href="classgg_1_1GameEngine.html#ad88dee00a8684a67020f53e57fa2d126">gg::GameEngine</a>, <a class="el" href="classgg_1_1Gameplay.html#a0526d473d0edda7c71ccd049c7c7abbd">gg::Gameplay</a>, <a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">gg::GameState</a>, <a class="el" href="classgg_1_1LoadGame.html#a76d5b796539a4d4bf65fcb93a078df54">gg::LoadGame</a>, <a class="el" href="classgg_1_1MainMenu.html#a0c810434dad6d6ccfc40947c8daf8a01">gg::MainMenu</a>, <a class="el" href="classgg_1_1Map.html#a6aa5289361af1a7dbc68bf97f5722e17">gg::Map</a>, <a class="el" href="classgg_1_1NewGame.html#a4777fb0ee69f952d56ebb922c2296e13">gg::NewGame</a>, <a class="el" href="classgg_1_1PauseMenu.html#ac7aac85866029aea43245f2bfcd8a554">gg::PauseMenu</a>, <a class="el" href="classgg_1_1RoadTile.html#a6626a61ed9975c915342765bcb286eb5">gg::RoadTile</a>, <a class="el" href="classgg_1_1Scene.html#a66b2770a4d2f38cba1fca7df7d1e06dc">gg::Scene</a>, <a class="el" href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">gg::SceneNode</a>, <a class="el" href="classgg_1_1Settings.html#a6b747ce6c0619df3e820204719ed6228">gg::Settings</a>, <a class="el" href="classgg_1_1Tile.html#a76d15a17d011f27adcd9defccf00f520">gg::Tile</a>, <a class="el" href="classgg_1_1Timer.html#acab83f103c184b9cd7c557e952d94c4a">gg::Timer</a></li>
<li>UpdateAlignment()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#a64e0d505df7a967deb758ded99722920">gg::Box</a>, <a class="el" href="classgg_1_1Container.html#adf049763ac94a4f1a4b480fe98f0a5f1">gg::Container</a>, <a class="el" href="classgg_1_1SceneNode.html#a83278efad563d0e384b3d18a88f1eee7">gg::SceneNode</a></li>
<li>UpdateDesign()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#aa2efba66377728eb9e23a1af16aef1db">gg::Button</a>, <a class="el" href="classgg_1_1Image.html#af93fa0a5549864e916e9d3108e774e14">gg::Image</a>, <a class="el" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">gg::SceneNode</a></li>
<li>UpdateSize()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#aa922ac30a375d9bf759da5d3c302947b">gg::Box</a>, <a class="el" href="classgg_1_1Container.html#a3228de9b550b915ec44fd46c246b2163">gg::Container</a>, <a class="el" href="classgg_1_1Image.html#aa7af1b0f160d94f384ad760dc8f3da97">gg::Image</a>, <a class="el" href="classgg_1_1Label.html#ad751d0364a2c99c50e7c97fd7947f9ea">gg::Label</a>, <a class="el" href="classgg_1_1SceneNode.html#a2fa192254c5c1050ad982dc36e9c170f">gg::SceneNode</a></li>
<li>UpdateStyle()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">gg::SceneNode</a></li>
<li>Util()&#160;:&#160;<a class="el" href="classgg_1_1Util.html#aaa384addaf40169b0b3e956d578b1f24">gg::Util</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
